From e276eb5c6b472de38f17f1fa4ac731ba8836781e Mon Sep 17 00:00:00 2001
From: Nicolas Frattaroli <frattaroli.nicolas@gmail.com>
Date: Thu, 23 Feb 2023 20:19:24 +0100
Subject: [PATCH] fix(build): Don't use --fatal-warnings

Failing on warnings is fine for CI pipelines, but not for publicly
distributed default build system configurations where you do not
have control over what toolchain version is used, as newer versions
add new warnings which in turn break builds for everyone who doesn't
use an out-of-date version of the toolchain.

Signed-off-by: Nicolas Frattaroli <frattaroli.nicolas@gmail.com>
---
 Makefile | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/Makefile b/Makefile
index 578083221..403cf373d 100644
--- a/Makefile
+++ b/Makefile
@@ -427,7 +427,7 @@ endif
 CPPFLAGS		=	${DEFINES} ${INCLUDES} ${MBEDTLS_INC} -nostdinc	\
 				$(ERRORS) $(WARNINGS)
 ASFLAGS			+=	$(CPPFLAGS) $(ASFLAGS_$(ARCH))			\
-				-ffreestanding -Wa,--fatal-warnings
+				-ffreestanding
 TF_CFLAGS		+=	$(CPPFLAGS) $(TF_CFLAGS_$(ARCH))		\
 				-ffunction-sections -fdata-sections		\
 				-ffreestanding -fno-builtin -fno-common		\
@@ -454,7 +454,7 @@ TF_LDFLAGS		+=	$(TF_LDFLAGS_$(ARCH))
 # LD = gcc (used when GCC LTO is enabled)
 else ifneq ($(findstring gcc,$(notdir $(LD))),)
 # Pass ld options with Wl or Xlinker switches
-TF_LDFLAGS		+=	-Wl,--fatal-warnings -O1
+TF_LDFLAGS		+=	-O1
 TF_LDFLAGS		+=	-Wl,--gc-sections
 ifeq ($(ENABLE_LTO),1)
 	ifeq (${ARCH},aarch64)
@@ -478,7 +478,7 @@ TF_LDFLAGS		+=	--gc-sections
 # ld.lld reports section type mismatch warnings,
 # therefore don't add --fatal-warnings to it.
 ifeq ($(findstring ld.lld,$(notdir $(LD))),)
-TF_LDFLAGS		+=	$(TF_LDFLAGS_$(ARCH)) --fatal-warnings
+TF_LDFLAGS		+=	$(TF_LDFLAGS_$(ARCH))
 endif
 endif
 
-- 
2.39.2

